// vector3, matrix4x4, plane class test program
// -Kyoung Shin Park (2014 Spring)
//////////////////////////////////////////////////////////////////////
#include <iostream>
#include <glm/glm.hpp>
#include <glm/gtc/type_ptr.hpp>
#include <glm/gtc/matrix_transform.hpp>

using namespace std;
void vec3Test();
void mat4Test();
void matrix4x4Test();
void planeTest();
void quaternionTest();

int main(int argc, char *argv[])
{
	// vector test
	cout << endl << "GLM VECTOR" << endl;
	vec3Test();

	// matrix test
	cout << endl << "GLM MATRIX" << endl;
	mat4Test();
	
	cout << endl << "MATRIX CLASS" << endl;
	matrix4x4Test();

	// plane test
	cout << endl << "PLANE CLASS" << endl;
	planeTest();

	// plane test
	cout << endl << "GLM QUATERNION" << endl;
	quaternionTest();
	
	return 0;
}

